Get a document Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/document/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • version integer
    • name string
    • status string
    • last_publishing_error string
    • required_dependants object
      Hide required_dependants attribute Show required_dependants attribute object
      • client-1 string
    • known_dependants object
      Hide known_dependants attribute Show known_dependants attribute object
      • client-1 string
    • public_docx_url string
    • public_sfdt_url string
    • public_pdf_url string
    • public_preview_url string
GET /api/v1/document/{uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/document/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
[
  {
    "uuid": "d0af6b72-d60a-4b90-86b2-f4e212926d17",
    "created_at": "2026-11-17T20:47:11+00:00",
    "updated_at": "2026-11-17T20:47:11+00:00",
    "version": 3,
    "name": "Welcome Template",
    "status": "published",
    "last_publishing_error": "There was an error converting this file to PDF. Please try again later.",
    "required_dependants": {
      "client-1": "client"
    },
    "known_dependants": {
      "client-1": "649b7138-3331-4ac0-ac74-d45319e85317"
    },
    "public_docx_url": "https://api.plannrcrm.com/document/bb6c8aea-b266-4a08-a9a0-b365b30b2029/content/docx?plannr_account_uuid=85c7983d-905c-4641-915d-afe5210489a6",
    "public_sfdt_url": "https://api.plannrcrm.com/document/4edfcde4-4234-4a2f-a086-a2249d06f0fb/content/sfdt?plannr_account_uuid=b38fa2dd-161e-4fd0-b2a3-3079b7ea6212",
    "public_pdf_url": "https://api.plannrcrm.com/document/c204cc65-d80e-4499-ac1a-eaf1e468bf44/content/pdf?plannr_account_uuid=18d52623-b32f-446c-bc54-f8753a18ce4e",
    "public_preview_url": "https://api.plannrcrm.com/document/8ea8ab2b-23e3-4ee7-ac49-1eeacc30655e/content/preview?plannr_account_uuid=e462ab95-d2ef-479e-83fa-ca9b725e471c"
  }
]